<?php

/*
 | --------------------------------------------------------------------
 | App Namespace
 | --------------------------------------------------------------------
 |
 | This defines the default Namespace that is used throughout
 | CodeIgniter to refer to the Application directory. Change
 | this constant to change the namespace that all application
 | classes should use.
 |
 | NOTE: changing this will require manually modifying the
 | existing namespaces of App\* namespaced-classes.
 */
defined('APP_NAMESPACE') || define('APP_NAMESPACE', 'App');

/*
 | --------------------------------------------------------------------------
 | Composer Path
 | --------------------------------------------------------------------------
 |
 | The path that Composer's autoload file is expected to live. By default,
 | the vendor folder is in the Root directory, but you can customize that here.
 */
defined('COMPOSER_PATH') || define('COMPOSER_PATH', ROOTPATH . 'vendor/autoload.php');

/*
 |--------------------------------------------------------------------------
 | Timing Constants
 |--------------------------------------------------------------------------
 |
 | Provide simple ways to work with the myriad of PHP functions that
 | require information to be in seconds.
 */
defined('SECOND') || define('SECOND', 1);
defined('MINUTE') || define('MINUTE', 60);
defined('HOUR')   || define('HOUR', 3600);
defined('DAY')    || define('DAY', 86400);
defined('WEEK')   || define('WEEK', 604800);
defined('MONTH')  || define('MONTH', 2_592_000);
defined('YEAR')   || define('YEAR', 31_536_000);
defined('DECADE') || define('DECADE', 315_360_000);

/*
 | --------------------------------------------------------------------------
 | Exit Status Codes
 | --------------------------------------------------------------------------
 |
 | Used to indicate the conditions under which the script is exit()ing.
 | While there is no universal standard for error codes, there are some
 | broad conventions.  Three such conventions are mentioned below, for
 | those who wish to make use of them.  The CodeIgniter defaults were
 | chosen for the least overlap with these conventions, while still
 | leaving room for others to be defined in future versions and user
 | applications.
 |
 | The three main conventions used for determining exit status codes
 | are as follows:
 |
 |    Standard C/C++ Library (stdlibc):
 |       http://www.gnu.org/software/libc/manual/html_node/Exit-Status.html
 |       (This link also contains other GNU-specific conventions)
 |    BSD sysexits.h:
 |       http://www.gsp.com/cgi-bin/man.cgi?section=3&topic=sysexits
 |    Bash scripting:
 |       http://tldp.org/LDP/abs/html/exitcodes.html
 |
 */
defined('EXIT_SUCCESS')        || define('EXIT_SUCCESS', 0);        // no errors
defined('EXIT_ERROR')          || define('EXIT_ERROR', 1);          // generic error
defined('EXIT_CONFIG')         || define('EXIT_CONFIG', 3);         // configuration error
defined('EXIT_UNKNOWN_FILE')   || define('EXIT_UNKNOWN_FILE', 4);   // file not found
defined('EXIT_UNKNOWN_CLASS')  || define('EXIT_UNKNOWN_CLASS', 5);  // unknown class
defined('EXIT_UNKNOWN_METHOD') || define('EXIT_UNKNOWN_METHOD', 6); // unknown class member
defined('EXIT_USER_INPUT')     || define('EXIT_USER_INPUT', 7);     // invalid user input
defined('EXIT_DATABASE')       || define('EXIT_DATABASE', 8);       // database error
defined('EXIT__AUTO_MIN')      || define('EXIT__AUTO_MIN', 9);      // lowest automatically-assigned error code
defined('EXIT__AUTO_MAX')      || define('EXIT__AUTO_MAX', 125);    // highest automatically-assigned error code

/**
 * @deprecated Use \CodeIgniter\Events\Events::PRIORITY_LOW instead.
 */
define('EVENT_PRIORITY_LOW', 200);

/**
 * @deprecated Use \CodeIgniter\Events\Events::PRIORITY_NORMAL instead.
 */
define('EVENT_PRIORITY_NORMAL', 100);

/**
 * @deprecated Use \CodeIgniter\Events\Events::PRIORITY_HIGH instead.
 */

const CARD_REQUESTED  = 1;
const CARD_HOLDER_CREATED  = 10;
const CARD_OWNER_ACTIVE = 30;
const CARD_ASSIGNED = 40;
const CARD_ACTIVATE_CARD = 50;
const CARD_WALLET_ADD = 60;

define('EVENT_PRIORITY_HIGH', 10);
define('WRB_JOB_CRONJOB',770);

define('LOGIN_MODE_GENERAL', 1100);
define('LOGIN_MODE_FAMILY',  1105);

define('ADD_JOB',    10010);
define('UPDATE_JOB', 10020);

define('PHP_API_OK', 0);
define('PHP_LOGIN_OK', 100);
define('PHP_CREATED_OK', 10);
define('PHP_API_BAD_PARAM', -1);

define('PHP_INVALID_SESSION' -9999);

define('SESSION_TIMEOUT_LOGOUT',6000);

define('MOBILE_LOGIN', 1101);

define('SUPPORT_PHONE','+234 (818)-3866434');

define('UPLOAD_FILE_SIZE',1);

define('OFFER_ACCEPT',100);
define('OFFER_REJECT',333);
define('OFFER_CANCEL',222);
define('OFFER_EXPIRE',444);

define('JOB_INTEREST_ACCEPT',100);
define('JOB_INTEREST_REJECT',200);
define('JOB_INTEREST_CANCEL',300);

define('SMONEY_PROCC_MANUAL',100);
define('SMONEY_PROCC_AUTO',200);
define('SMONEY_PROCC_INTERSWITCH',300);

define('ACCOUNT_AGREE_JOBS',100);
define('ACCOUNT_AGREE_REFER',200);


define('WRENCHBOARD_SESSION_CHECK', 299);
define('WRENCHBOARD_USER_LOGIN', 300);
define('WRENCHBOARD_USER_LOGOUT', 301);
define('WRENCHBOARD_CREATE_ACCOUNT', 320);

define('CONTRACT_CANCEL_CONTRACT', 7);
define('CONTRACT_EXTEND_TIMELINE', 9);
define('CONTRACT_NOTIFY_COMPLETE', 4);
define('CONTRACT_REQUEST_CANCEL',  3);
define('CONTRACT_REQUEST_TIMELINE', 2);
define('CONTRACT_ACCEPT_COMPLETE', 5);
define('CONTRACT_REJECT_COMPLETE', 1);

const WRENCHBOARD_SIGNUP_COUNTRY  = 648;
const WRENCHBOARD_GET_MEDIA = 650;
const WRENCHBOARD_SAVE_MEDIA = 652;

const WRENCH_FILE_PROFILE  =     100;
const WRENCH_FILE_MYFILE   =     200;
const WRENCH_FILE_CONTRACTS =   300;
const WRENCH_FILE_FAMILY   =     400;

const WRENCH_FILE_FAMILYBANNER    =    410;
const WRENCH_FILE_JOB       =    500;
const WRENCH_FILE_JOBFILE   =  600;
//**************************************************************
define('WRENCHBOARD_BKO_START', 10000);

define('WRENCHBOARD_BKO_LOGIN', 10010);
define('WRENCHBOARD_BKO_CREATEUSER', 10015);
define('WRENCHBOARD_BKO_UPDATEUSER', 10020);

define('WRENCHBOARD_BKO_END', 10999);
//**************************************************************
define('WRENCHBOARD_ACCOUNT_START', 11000);

define('WRENCHBOARD_PROFILE_RESETPASS', 11005);
define('WRENCHBOARD_ACCOUNT_TESTEMAIL', 11001);
define('WRENCHBOARD_ACCOUNT_PENDING', 11010);

define('WRENCHBOARD_CREATE_MOBILEUSER',   11011 );
define('WRENCHBOARD_COMPLETE_MOBILEUSER', 11012 );

define('WRENCHBOARD_RESET_PASSWORD', 11013 );
define('WRENCHBOARD_ACCOUNT_JOBLIST',11014 );

define('WRENCHBOARD_VERIFY_PENDING_LINK', 11015);
define('WRENCHBOARD_ACCOUNT_RESETPASS', 11016);
define('WRENCHBOARD_ACCOUNT_SETPASSWD', 11017);

define('WRENCHBOARD_DELETE_PENDING_LINK', 11018);
define('WRENCHBOARD_RESEND_PENDING_LINK', 11019);

/*
 #define WRENCHBOARD_ACCOUNT_CREATEACC      11020
#define WRENCHBOARD_ACCOUNT_AUXLOGIN       11024
#define WRENCHBOARD_ACCOUNT_LOGIN          11025
#define WRENCHBOARD_FACEBOOK_LOGIN         11026
#define WRENCHBOARD_GOOGLE_LOGIN           11027
#define WRENCHBOARD_APPLE_LOGIN            11031
#define WRENCHBOARD_START_JOBLIST          11028
#define WRENCHBOARD_ACCOUNT_DASHDATA       11029

#define LOGIN_GOOGLE   990010
#define LOGIN_FACEBOOK 990011
#define LOGIN_APPLE    990012
 */

const LOGIN_GOOGLE = 990010;
const LOGIN_FACEBOOK = 990011;
const LOGIN_APPLE = 990012;

define('WRENCHBOARD_ACCOUNT_DASHRECENT', 11206);
define('WRENCHBOARD_ACCOUNT_QRLOGIN',    11022);
const WRENCHBOARD_PROMO_LOGIN =          11023;
define('WRENCHBOARD_ACCOUNT_CREATEACC',  11020);
define('WRENCHBOARD_ACCOUNT_AUXSTART',   11023);
define('WRENCHBOARD_ACCOUNT_AUXLOGIN',   11024);
define('WRENCHBOARD_ACCOUNT_LOGIN',      11025);
define('WRENCHBOARD_FACEBOOK_LOGIN',     11026);
define('WRENCHBOARD_GOOGLE_LOGIN',       11027);
define('WRENCHBOARD_APPLE_LOGIN',        11031);
define('WRENCHBOARD_START_JOBLIST',      11028);
define('WRENCHBOARD_ACCOUNT_DASHDATA',   11029);

define('WRENCHBOARD_SEND_CONTACTUS',      11030);
define('WRENCHBOARD_ACCOUNT_SENDREFER',   11032);
define('WRENCHBOARD_ACCOUNT_REFERLINK',   11033);
define('WRENCHBOARD_SESSION_VERIFY',      11034);
define('WRENCHBOARD_UPDATE_PROFILE',      11035);
define('WRENCHBOARD_ACCOUNT_TERMS',       11036);
define('WRENCHBOARD_ACCOUNT_MDESCRIPTION',11037);
define('WRENCHBOARD_ACCOUNT_SAVESKILL',   11038);
define('WRENCHBOARD_ACCOUNT_DELSKILL',    11039);
define('WRENCHBOARD_LOG_MEMBER',          11040);

define('WRENCHBOARD_DELETE_RECACC',       11041);
define('WRENCHBOARD_SAVE_GALLERY',        11042);

define('WRENCHBOARD_ACCOUNT_PENDJOB',     11043);
define('WRENCHBOARD_ACCT_NOTIFICATIONS',  11046);
define('WRENCHBOARD_ACCT_HELPITEMS' ,     11047);

const WRECNH_CREDIT_HOOKS_FULUTTER = 11045;

define('WRENCHBOARD_USER_GETBANKLIST', 11050);
define('WRENCHBOARD_USER_SENDMONEY',   11051);
define('WRENCHBOARD_USER_SENDJOBINT',  11052);

define('WRENCHBOARD_USER_STARTCREDIT', 11053);
define('WRENCHBOARD_USER_ADNEWCC',     11054);
define('WRENCHBOARD_USER_CARDLIST',    11055);
define('WRENCHBOARD_USER_USESAVEDCC',  11056);
define('WRENCHBOARD_USER_CARDREMV',    11057);

define('WRENCHBOARD_USER_SETTINGS',    11058);
define('WRENCHBOARD_GETUSER_SETTINGS', 11059);

define('WRENCHBOARD_ACCOUNT_WALLETS', 11060);

define('WRENCHBOARD_ACCOUNT_TOPUP_RESULT',     11061);
define('WRENCHBOARD_ACCOUNT_PREPARE_TOPUP',    11062);
define('WRENCHBOARD_ACCOUNT_COMPLETE_TOPUP',   11063);
define('WRENCHBOARD_ACCOUNT_REFFERHX',         11064);

define('WRENCHBOARD_ACCOUNT_PREFERENCES',       11065);
define('WRENCHBOARD_ACCOUNT_UPDATE_PREFS',      11066);

define('WRENCHBOARD_ACCOUNT_MYPAGE',      11070);
define('WRENCHBOARD_ACCOUNT_PAGEINTRO',   11071);
const WRENCHBOARD_LOAD_REFERLINK = 11072;

const WRENCHBOARD_VIRTUAL_CARDADD = 11080;
const WRENCHBOARD_VIRTUAL_FAMILY_CARD = 11082;

define('WRENCHBOARD_ACCOUNT_PRICE_COMBO',      11171);
define('WRENCHBOARD_ACCOUNT_JOBPOST_DURATION', 11173);
define('WRENCHBOARD_ACCOUNT_USER_RECIPEINT',   11175);
define('WRENCHBOARD_ACCOUNT_ADD_RECIPEINT',    11176);
define('WRENCHBOARD_ACCOUNT_ACCOUNT_TYPES',    11177);
define('WRENCHBOARD_ACCOUNT_COUNTRY_COMBO',    11179);
define('WRENCHBOARD_ACCOUNT_JOB_COUNTRY',      11181);
define('WRENCHBOARD_ACCOUNT_COUNTRY_BANKS',    11183);


define('WRENCHBOARD_ACCOUNT_HOMEBANNERS',   11200);
define('WRENCHBOARD_ACCOUNT_PLAYGROUND',    11201);

define('WRENCHBOARD_ACCOUNT_RECENTS',       11202);
const WRENCHBOARD_FAMILY_HOMEBANNERS = 11203;

define('WRENCHBOARD_ACCOUNT_NOTIFICATIONS', 11205);

const WRENCHBOARD_ACCOUNT_CONTACTIMPORT =   11207;

const WRENCHBOARD_PICTURE_PROFILE = 11300;
const WRENCHBOARD_PICTURE_JOB = 11303;
const WRENCHBOARD_PICTURE_FAMBANNER= 11304;
const WRENCHBOARD_PICTURE_FAMMEMBER = 11305;
const WRENCHBOARD_RESOURCE_MYFILES = 11307;
const WRENCHBOARD_MYFILES_LIST = 11309;

define('WRENCHBOARD_USER_DELETEACC',  11990);
define('WRENCHBOARD_ACCOUNT_END', 11999);
//**************************************************************
define('WRENCHBOARD_JOB_POSTAGREE', 13002);
define('WRENCHBOARD_JOB_LISTJOBS',  13005);
define('WRENCHBOARD_JOB_OFFERS',    13006);
define('WRENCHBOARD_JOB_ACTIVE',    13008);
define('WRENCHBOARD_JOB_USERACTIVE',13009);

define('WRENCHBOARD_JOB_CREATEJOB',13010 );
define('WRENCHBOARD_JOB_DELETEJOB',13011 );
define('WRENCHBOARD_JOB_RECENTPASTDUE',13019 );

define('WRENCHBOARD_JOB_GROUP_MEMBER', 13015) ;
define('WRENCHBOARD_JOB_DELETE_GROUPMEMBER',13017);
define('WRENCHBOARD_JOB_CREATE_GROUP', 13020);
define('WRENCHBOARD_JOB_DELETE_GROUP',13023);

define('WRENCHBOARD_JOB_OFFER_INTLIST',   13024);  // offers interest list
define('WRENCHBOARD_JOB_OFFER_SYSTEM',  13025);
define('WRENCHBOARD_JOB_OFFER_FAMILY',  13029);
define('WRENCHBOARD_JOB_OFFER_INDVI',13030);
define('WRENCHBOARD_JOB_OFFER_GROUP',13031);
define('WRENCHBOARD_JOB_OFFER_PUBLIC',13032);
define('WRENCHBOARD_JOB_SEND_INTEREST',13033);
define('WRENCHBOARD_JOB_PROC_INTEREST',13034);
define('WRENCHBOARD_JOB_OFFER_CONCLUDE',13035);
define('WRENCHBOARD_JOB_SEND_QUESTION',13036);
define('WRENCHBOARD_JOB_MRKTINT_QUEST',13037);
define('WRENCHBOARD_JOB_REPLY_QUESTION',13038);
//define('WRENCHBOARD_JOB_REPLY_QUESTION',13038);
define('WRENCHBOARD_JOB_INT_QUESTLST',  13039);
define('WRENCHBOARD_JOB_WAITING_INT',  13040);

define('WRENCHBOARD_JOB_EXTEND_EXPIRE' ,13041);
define('WRENCHBOARD_JOB_RESEND_MESSAGE',13042);
define('WRENCHBOARD_JOB_CANCEL_OFFER'  ,13043);

define('WRENCHBOARD_JOB_JOBGROUPS'    ,13045);
define('WRENCHBOARD_JOB_JOBGROUPADD'  ,13046);

define('WRENCHBOARD_JOB_REPORT',       13047);
const WRENCHBOARD_JOB_STATS_INTEREST = 13048;

//define('WRENCHBOARD_JOB_SEND_QUESTION',13036);

define('WRENCHBOARD_GROUP_START', 12000);


define('WRENCHBOARD_GROUP_CREATEGROUP', 12010);
define('WRENCHBOARD_GROUP_INVITEGROUP', 12015);
define('WRENCHBOARD_GROUP_ACCEPTGROUP', 12020);

define('WRENCHBOARD_GROUP_END', 12999);
//**************************************************************

define('WRENCHBOARD_CONTRACT_MESSAGE', 14010);
define('WRENCHBOARD_CONTRACT_MSGLIST', 14011);
define('WRENCHBOARD_CONTRACT_STATUS',  14015);


define('WRENCHBOARD_MOBILE_OFFERSLIST', 15010);
define('WRENCHBOARD_MOBILE_OFFERSRESP',  15012);

define('WRENCHBOARD_MOBILE_ACTIVEJOB', 15020);
define('WRENCHBOARD_MOBILE_LOADPROFILE',  15030);
define('WRENCHBOARD_MOBILE_UPDATEPROFILE',15031);
define('WRENCHBOARD_MOBILE_ACCOUNT', 15040);
define('WRENCHBOARD_MOBILE_JOB_MESSAGE', 15044);
define('WRENCHBOARD_MOBILE_MESSAGE',  15045);
define('WRENCHBOARD_MOBILE_PAYMENTHX', 15046);
define('WRENCHBOARD_MOBILE_TASKMESSAGE', 15047);
define('WRENCHBOARD_MOBILE_SENDTASKMESSAGE', 15048);
define('WRENCHBOARD_MOBILE_PURCHASEHX',   15049);

define('WRENCHBOARD_FAMILY_LIST',           22010);

define('WRENCHBOARD_FAMILY_TRANSFERHX',     22011);
define('WRENCHBOARD_FAMILY_WALLET',         22012);
define('WRENCHBOARD_FAMILY_TRANSFERSTART',  22013);
define('WRENCHBOARD_FAMILY_TRANSFER',       22014);

define('WRENCHBOARD_FAMILY_ADD',            22015);
define('WRENCHBOARD_FAMILY_UPDATE',         22020);
define('WRENCHBOARD_FAMILY_MANAGE',         22025);
define('WRENCHBOARD_FAMILY_SGGESTSTATUS',   22026);
define('WRENCHBOARD_FAMILY_SAMPLETASKS',    22027);
define('WRENCHBOARD_FAMILY_SGGESTTASKS',    22028);
define('WRENCHBOARD_FAMILY_SGGESTLIST',     22029);
define('WRENCHBOARD_FAMILY_SGGESTWAITING',  22030);
define('WRENCHBOARD_FAMILY_RELINVITE',      22031);
define('WRENCHBOARD_FAMILY_RELLIST',        22032);

define('WRENCHBOARD_RELATIVES_SETTINGS',  22033);
define('WRENCHBOARD_RELATIVES_EDITKIDS',  22034);
define('WRENCHBOARD_RELATIVES_REMINDER',  22035);


define('WRENCHBOARD_SMONEY_ADDRECIPIENT', 33010);
define('WRENCHBOARD_SMONEY_MEMBER', 33020);
define('WRENCHBOARD_SMONEY_PROCFEE',  33025);

define('WRENCHBOARD_SMONEY_BKOPROC',  33030 );


define('WRENCHBOARD_LOGIN_SHOP', 50501);
define('WRENCHBOARD_LOGIN_ADMIN', 50502);
define('WRENCHBOARD_LOGIN_MANAGER', 50503);

define('WRENCHBOARD_SURVEY_DATA', 55000);
define('WRENCHBOARD_ADD_SURVEY', 55050);
define('WRENCHBOARD_LOAD_SURVEY', 55055);


define('WRENCHBOARD_COMPLETE_SENDMONEY_INTERSW', 555);
define('WRENCHBOARD_GETBILLER_INTERSW', 556);
define('WRENCHBOARD_BILL_PAYMENT_ADVICE_INTERSW', 557);

define('WRENCHBOARD_INTERSW_GETBILLER', 556);
define('WRENCHBOARD_INTERSW_BILL_PAYMENT_ADVICE', 557);
define('WRENCHBOARD_INTERSW_GETBILLERPAYMENTINTEMS', 558);
define('WRENCHBOARD_INTERSW_GETBILLERCATEGORIES', 559);
define('WRENCHBOARD_INTERSW_DO_TRANSFER', 560);
define('WRENCHBOARD_INTERSW_QUERY_TRANSACTION', 561);

define('WRENCHBOARD_ADD_MONEYRECIPIENT', 600);

define('WRENCHBOARD_CREATE_USER_ACCOUNT', 700);
define('WRENCHBOARD_USER_ACCOUNT_LOGIN', 710);

const WRENCHBOARD_START_PASSWORDRESET = 720;
const WRENCHBOARD_VERIFY_PASSWD_RESETLINK = 725;
const WRENCHBOARD_COMPLETE_PASSWORDRESET = 730;

//#define	WRENCHBOARD_START_ADDMONEY',  770 );
//#define	WRENCHBOARD_COMPLETE_ADDMONEY'	775 );

define('WRENCHBOARD_CARDS_GETCARDLIST', 40010);
define('WRENCHBOARD_CARDS_UPDATECARD',  40015) ;

define('WRENCHBOARD_COUPON_REDEEM',   85020);
define('WRENCHBOARD_COUPON_MEMLIST',  85025);
define('WRENCHBOARD_COUPON_PENDLIST', 85030);


define('WRENCHBOARD_ADD_MOBILE_TOPUPNUM', 900);
define('WRENCHBOARD_PROMO_CALL', 990);


define('WRENCHBOARD_STOREFACE_GET_ACCOUNT_BALANCE', 891);

define('WRENCHBOARD_LOG_ENTRY', 900000);
define('WRENCHBOARD_CREDIT_TOPUP', 900010);

define('WRENCHBOARD_TOPUP_ORDER', 900020);
define('WRENCHBOARD_TOPUP_ORDER_PURCHASE', 900030);
define('WRENCHBOARD_PAYPAL_IPNMSG', 900090);

define('WRENCHBOARD_BULKTOPUP_ORDER', 700010);
define('WRENCHBOARD_BULKTOPUP_ITEM', 700020);
define('WRENCHBOARD_BULKTOPUP_ITEMUPDATE', 700030);
define('WRENCHBOARD_BULKTOPUP_DELIVER', 700040);

define('WRENCHBOARD_BALANCE_TOPUP_ORDER', 800020);
define('WRENCHBOARD_BALANCE_TOPUP_PURCHASE', 800030);
define('WRENCHBOARD_BALANCE_TOPUP_PAYMENT', 800040);

define('VIRTUAL_AIRTOPUP', 70011);
define('PAY_MODE_BALANCE', 0);
define('PAY_MODE_CCARD', 1);
define('PAY_MODE_BONUS', 9);
define('APPROVED_BALANCE', 5);
define('DISAPROVE_BALANCE', 3);



const WRENCHBOARD_MARKET_START =  220000;
const WRENCHBOARD_MARKET_PLAN01_START  = 220001;
const WRENCHBOARD_MARKET_PLAN01_NEXT1 =  220003;

const  WRENCHBOARD_PROMOADMIN_LOGIN      = 220010;
const WRENCHBOARD_PROMOADMIN_ASSIGNTASK  = 220012;
const WRENCHBOARD_PROMOADMIN_GETMEMBER   = 220013;
const WRENCHBOARD_PROMOADMIN_GETLIST     = 220014;
const  WRENCHBOARD_PROMOADMIN_ADDLIST    = 220015;
const WRENCHBOARD_PROMOADMIN_ACTIONLIST  = 220016;

const WRENCHBOARD_MARKET_END  =   229999;

